Sign Up

Sign Up to our social questions and Answers Engine to ask questions, answer people’s questions, and connect with other people.

Have an account? Sign In

Have an account? Sign In Now

Sign In

Login to our social questions & Answers Engine to ask questions answer people’s questions & connect with other people.

Sign Up Here

Forgot Password?

Don't have account, Sign Up Here

Forgot Password

Lost your password? Please enter your email address. You will receive a link and will create a new password via email.

Have an account? Sign In Now

You must login to ask a question.

Forgot Password?

Need An Account, Sign Up Here

Please briefly explain why you feel this question should be reported.

Please briefly explain why you feel this answer should be reported.

Please briefly explain why you feel this user should be reported.

Sign InSign Up

The Archive Base

The Archive Base Logo The Archive Base Logo

The Archive Base Navigation

  • SEARCH
  • Home
  • About Us
  • Blog
  • Contact Us
Search
Ask A Question

Mobile menu

Close
Ask a Question
  • Home
  • Add group
  • Groups page
  • Feed
  • User Profile
  • Communities
  • Questions
    • New Questions
    • Trending Questions
    • Must read Questions
    • Hot Questions
  • Polls
  • Tags
  • Badges
  • Buy Points
  • Users
  • Help
  • Buy Theme
  • SEARCH
Home/ Questions/Q 3613508
In Process

The Archive Base Latest Questions

Editorial Team
  • 0
Editorial Team
Asked: May 18, 20262026-05-18T22:08:00+00:00 2026-05-18T22:08:00+00:00

I have a bash program that will write to an output file. This file

  • 0

I have a bash program that will write to an output file. This file may or may not exist, but the script must check permissions and fail early. I can’t find an elegant way to make this happen. Here’s what I have tried.

set +e
touch $file
set -e

if [ $? -ne 0 ]; then exit;fi

I keep set -e on for this script so it fails if there is ever an error on any line. Is there an easier way to do the above script?

  • 1 1 Answer
  • 0 Views
  • 0 Followers
  • 0
Share
  • Facebook
  • Report

Leave an answer
Cancel reply

You must login to add an answer.

Forgot Password?

Need An Account, Sign Up Here

1 Answer

  • Voted
  • Oldest
  • Recent
  • Random
  1. Editorial Team
    Editorial Team
    2026-05-18T22:08:01+00:00Added an answer on May 18, 2026 at 10:08 pm

    Rather than check $? on a different line, check the return value immediately like this:

    touch file || exit
    

    As long as your umask doesn’t restrict the write bit from being set, you can just rely on the return value of touch

    • 0
    • Reply
    • Share
      Share
      • Share on Facebook
      • Share on Twitter
      • Share on LinkedIn
      • Share on WhatsApp
      • Report

Sidebar

Related Questions

I have a bash shell script that loops through all child directories (but not
I have a bash script that runs a simulation program written in Fortran 90,
I have a bash script that creates a Subversion patch file for the current
I have a bash script file which starts with a function definition, like this:
I have a bash file that contains wget commands to download over 100,000 files
I have a perl script (or any executable) E which will take a file
I have a C++ program that will run on several machines that use a
I have a bash file that does some file manipulation. I don't want to
I have a Bash shell script in which I would like to pause execution
I have a bash script to upload some files to my webserver. The problem

Explore

  • Home
  • Add group
  • Groups page
  • Communities
  • Questions
    • New Questions
    • Trending Questions
    • Must read Questions
    • Hot Questions
  • Polls
  • Tags
  • Badges
  • Users
  • Help
  • SEARCH

Footer

© 2021 The Archive Base. All Rights Reserved
With Love by The Archive Base

Insert/edit link

Enter the destination URL

Or link to existing content

    No search term specified. Showing recent items. Search or use up and down arrow keys to select an item.